## purpose 5.50.0

=== debian/changelog ===
purpose (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:20:06 +0100

purpose (5.49.0-0ubuntu1) cosmic; urgency=medium

  * Install new plugin which adds a share action to Dolphin context menu
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:32:32 +0100

purpose (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)
  * Sync changes with debian unstable (5.46). Remaining changes
    - debian/control: 
      - Keep Kubuntu VCS fields
      - Keep recommends on qml-module-ubuntu-onlineaccounts
    - debian/tests/*: Keep our tests
    - Keep Kubuntu symbols
  * Drop all transitional packages. Not required after Bionic 18.04
  * 

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:51:55 +0100

purpose (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * testsuite: Ignore stderr
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:15:54 +0200

purpose (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:58:59 +0100

purpose (5.44.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to point to its location as Framework, and add the
    signing key.
  * Update the patches:
    - use_nodejs.diff: drop, obsolete now (upstream does it)
  * Update install files.
  * Update symbols file.
  * Fix the dh_makeshlibs invocation:
    - call it with -V for libkf5purpose-bin, so shlibdeps on the private
      libraries can be detected properly (thus qml-module-org-kde-purpose
      has the proper dependency)
    - call it without arguments for all the other binaries, so symbols files
      work as expected
  * Update lintian overrides.
  * Switch Vcs-* fields to salsa.debian.org.
  * Small changes to copyright.
  * Tighten the inter-library dependencies.
  * Force "node" as executable for nodejs (see CTTE #862051); patch
    nodejs-name.diff.
  * Bump Standards-Version to 4.1.4, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Apr 2018 08:56:29 +0200
