=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_auto_test:
	# Disable auto_tests at build time
	:

override_dh_makeshlibs:
	$(overridden_command) -plibkf5purpose-bin -V
	$(overridden_command) --remaining-packages

override_dh_shlibdeps:
	$(overridden_command) -plibkf5purpose5 -- -xlibkf5purpose-bin
	$(overridden_command) --remaining-packages
