=== debian/changelog ===
purpose (5.54.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Add qml-module-qtquick-controls2 runtime dependency
  * Bump group breaks (5.54)
  * Release to unstable

  [ Scarlett Gately Moore ]
  * Add missing qml dependency for bluezqt.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:27:38 -0300

purpose (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Run auto tests with no parallel
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:17:36 +0100

purpose (5.49.0-1) unstable; urgency=medium

  * New revision
  * Migrate to debhelper 11
  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:19:16 +0200

purpose (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:11:05 +0200
