=== debian/changelog ===
purpose (5.68.0-0ubuntu1) focal; urgency=medium

  * Adapt to upstream dropping twitter support.
    - Drop no longer needed nodejs-name.diff
    - Drop nodejs recommends.
  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 21:00:57 +0000

purpose (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:53:43 +0000

purpose (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)
  * debian/control: Add qml-module-org-kde-bluezqt as runtime depends of
    libkf5purpose-bin.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:22:38 +0000

purpose (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:03:33 +0000

purpose (5.64.0-0ubuntu1) focal; urgency=medium

  * Sync tests changes from Debian:
    - debian/tests: Remove testsuite.
    - debian/rules: Don't build tests.
  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:27:45 +0000

purpose (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:10:14 +0100

purpose (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:45:56 +0100

purpose (5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)
  * Refresh patches.
  * New build depend on kirigami2-dev

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:19:17 +0100

purpose (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:22:27 +0100

purpose (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:43:41 +0100

purpose (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:41:12 +0100
